Bug 526505 - initramfs is not deleted with a kernel upgrade
initramfs is not deleted with a kernel upgrade
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-30 12:43 EDT by Peter Gückel
Modified: 2009-10-24 21:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-24 21:24:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gückel 2009-09-30 12:43:09 EDT
Description of problem:
When yum installs a new kernel and removes the old one (mine is set up to keep 3), the 4th-oldest is deleted, but not the associated initramfs file.

Version-Release number of selected component (if applicable):
dracut-002-8.git845dd502.fc12.noarch

How reproducible:
Allow yum to automatically install a new kernel and remove the 4th-oldest one. initramfs files are piling up.

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
as described

Expected results:
when a kernel is deleted, either via yum or rpm or an associated gui, the corresponding initramfs file should also be removed.

Additional info:
Comment 1 Harald Hoyer 2009-10-01 05:37:04 EDT
assigning to kernel
Comment 2 Chuck Ebbert 2009-10-05 00:47:40 EDT
kernel preuninstall runs:
/sbin/new-kernel-pkg --rminitrd ...
Comment 3 Harald Hoyer 2009-10-06 04:28:02 EDT
kernel should own the initramfs image in the rpm filelist
Comment 4 Chuck Ebbert 2009-10-07 18:27:21 EDT
(In reply to comment #3)
> kernel should own the initramfs image in the rpm filelist  

Yes, the kernel owns the initrd. And it deletes it by calling "/sbin/new-kernel-pkg --rminitrd".
Comment 5 Peter Gückel 2009-10-24 15:14:34 EDT
Got a new kernel this morning. On my x86_64 system, this now works. Will try the i686 system later, when the repos are synced with today's updates (weren't yet, for some reason, although x86_64 was).
Comment 6 Peter Gückel 2009-10-24 21:24:52 EDT
Solved, thanks!

Note You need to log in before you can comment on or make changes to this bug.